Skip navigation
janitbtinaj
Currently Being Moderated

Can't open LR4 upgrade

Mar 22, 2012 2:11 PM

My MAC meets spec but still getting this message "You can’t open the application “Adobe Photoshop Lightroom 4” because it’s not supported on this type of Mac." Has this happened to anyone else?

 
Replies
  • Currently Being Moderated
    Mar 22, 2012 2:26 PM   in reply to janitbtinaj

    What type of processor does your Macintosh have?  Which operating system are you using?  Do you receive this message when running the installer or when trying to launch the application itself?  Finally has it ever worked on this computer?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 22, 2012 2:34 PM   in reply to janitbtinaj

    What type of processor do you have?  You can find this under the Apple Menu>About This Mac.  I have ran Lightroom 4 successfully on an 2.8ghz Intel Core 2 Duo processor.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 22, 2012 2:59 PM   in reply to janitbtinaj

    Ah yes it isn't the number of cores Lightroom 4 does require a 64-bit processor for Mac OS.  http://www.adobe.com/products/photoshop-lightroom/tech-specs.html

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 4:34 PM   in reply to janitbtinaj

    Janitbtinaj you were correct the first time that you have a 32-bit processor unless you have obtained a different computer?  http://en.wikipedia.org/wiki/Intel_Core

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 4:49 PM   in reply to janitbtinaj

    Do you have an Intel Core 2 Duo then instead of an Intel Core Duo? Snow Leopard required an Intel processor - http://store.apple.com/us/product/MC573Z/A.  Where as Lion requires a 64-bit processor - http://www.apple.com/macosx/specs.html which is why they list the Intel Core 2 Duo as the minimum for the processor.

     

    I agree it is a bit confusing especially since the naming is so similar.  If you do have an Intel Core Duo processor then it would be expected that you would receive the error message about not being able to run on this processor type.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 4:54 PM   in reply to janitbtinaj

    Well Lightroom 4 does require 10.6.8 although we see a different error message if you don't meet the minimum operating system requirements.  I am sorry janitbtinaj but you were correct the first time about having a 32-bit processor.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 5:00 PM   in reply to janitbtinaj

    I have been. I would recommend reviewing the following links:

     

    Information about your Intel Core Duo which is code named Yonah - http://en.wikipedia.org/wiki/Intel_Core

    Lightroom 4 system requirements - http://www.adobe.com/products/photoshop-lightroom/tech-specs.html

    System requirements for Snow Leopard - http://store.apple.com/us/product/MC573Z/A

    System Requirements for Lion - http://www.apple.com/macosx/specs.html

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 5:15 PM   in reply to janitbtinaj

    That is correct but Lightroom 4 also requires a 64-bit processor.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 16, 2012 5:27 PM   in reply to janitbtinaj

    It doesn't appear that Apple provides that information through the built-in utilities.  You can find a bit more information on your exact model of Mac by going to the Apple Menu>About This Mac and clicking on More Info.  Under the hardware overview it will list your model identifier which you can cross reference with a Google search to find more details about your computer.

     

    As for Lightroom 3 I can't make any specific recommendations but I would advise that you double check the return policy for the company you do purchase it from.  That way if you run into any problems with the software you can return the product successfully.

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 24, 2012 3:31 AM   in reply to Jeff A Wright

    I have a Mac version 10.5.8 2.8 GHz Intel Core Duo and I can't opne Lightroom 4. I don't get any error message. I just double click on the Installer and nothing happens.

     

    All help most appreciated.

     

    Thanks

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 24, 2012 3:37 AM   in reply to aiofp

    You system doesnt meet the system requirement .

    check http://www.adobe.com/products/photoshop-lightroom/tech-specs.edu.html

     
    |
    Mark as:
  • Currently Being Moderated
    May 2, 2012 10:10 AM   in reply to Manish-Sharma

    Thanks very much indeed. That at least explains the problem ŠŠKen

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points